package com.jz.dm.models.req.make;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req.make
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: MakeDataBankApiReq
 * @DATE: 2020-12-30/15:32
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
@Data
@ApiModel("数据银行api制作")
public class MakeDataBankApiReq implements Serializable {

    @ApiModelProperty(value = "api类型:1 实时接入  2 数据银行制作API, 3 数据银行制作数据包 6标签查询 9自定义",required = true)
    @NotNull(message = "api类型不能为空")
    public String apiType;

    @ApiModelProperty(value = "传输方式（1为HTTPS,2为HTTP）",required = true)
    @NotNull(message = "传输方式不能为空")
    public String apiProtocl;

    @ApiModelProperty(value = "加密方式0 无,1:MD5 2:RSA",required = true)
    @NotNull(message = "加密方式不能为空")
    public String signType;

    @ApiModelProperty(value = "接入类型:对应字典表key",required = true)
    @NotNull(message = "接入类型不能为空")
    public String joinType;

    @ApiModelProperty(value = "接口描述",required = false)
    public String apiDesc;

    @ApiModelProperty(value = "目标地址",required = false)
    public String targetUrl;

    @ApiModelProperty(value = "超时时间",required = false)
    public String timeout;

    @ApiModelProperty(value = "api描述",required = false)
    public String apiFunction;

    @ApiModelProperty(value = "请求头",required = false)
    public String reqHeaders;

    @ApiModelProperty(value = "请求参数",required = false)
    public String requestParam;

    @ApiModelProperty(value = "响应参数",required = false)
    public String responseParam;

    @ApiModelProperty(value = "响应状态码",required = false)
    public String respCode;

    @ApiModelProperty(value = "api样例",required = false)
    public String apiExample;

    @ApiModelProperty(value = "文件id",required = false)
    //@NotNull(message = "文件id不能为空")
    public Long fileId;

    //-------------------------前端无效传参----------------------
    //@ApiModelProperty(value = "状态",hidden = true)
    //public String status;
    //
    //@ApiModelProperty(value = "创建用户",hidden = true)
    //public String createUser;

}
